import numpy as np
import matplotlib.pyplot as plt
from pylab import ylim, legend
import math

Pe10 = np.array([1.1, 1.9, 3.4, 5.7, 9.8, 12.3, 16.1])
Pe20 = np.array([2.4,5.2,6.9,8.3,11.4,15.9,20.2])
x = np.array([20, 40, 60, 80, 100, 120, 140])
yTotal = np.concatenate([Pe10, Pe20])
fig = plt.figure(1)
ax = fig.gca()
plt.title("Potencia de salida de sistema X")
plt.xlabel("Potencia de entrada (W)")
plt.ylabel("Potencia de salida (W)")
plt.plot(x, Pe10, "o-", linewidth=3.0, label="Potencia de entrada a 10 W")
plt.plot(x, Pe20, "*-", linewidth=3.0, label="Potencia de entrada a 20 W")
ax.set_yticks(yTotal)
legend(loc='upper left')
plt.ylim([0, 20.5])
plt.grid()
plt.show()